UnsupportedCallbackException (GNU cryptographic primitives and tools)
Keywords: javax.security.auth.callback.UnsupportedCallbackException,UnsupportedCallbackException class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.callback
Class UnsupportedCallbackException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.security.auth.callback.UnsupportedCallbackException

All Implemented Interfaces:
  java.io.Serializable

public class UnsupportedCallbackException
extends java.lang.Exception

Signals that a `CallbackHandler` does not recognize a particular `Callback`.

See Also:
  Serialized Form

Constructor Summary
`UnsupportedCallbackException(Callback callback)` Constructs an `UnsupportedCallbackException` with no detail message.
`UnsupportedCallbackException(Callback callback, java.lang.String msg)` Constructs an `UnsupportedCallbackException` with the specified detail message.

Method Summary
`Callback` | `getCallback()` Get the unrecognized `Callback`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedCallbackException

    public UnsupportedCallbackException(Callback callback)

  Constructs an `UnsupportedCallbackException` with no detail message.

Parameters:
  `callback` - the unrecognized `Callback`.

### UnsupportedCallbackException

    public UnsupportedCallbackException(Callback callback,
                                        java.lang.String msg)

  Constructs an `UnsupportedCallbackException` with the specified detail message. A detail message is a `String` that describes this particular exception.

Parameters:
  `callback` - the unrecognized `Callback`.
  `msg` - the detail message.

Method Detail

### getCallback

    public Callback getCallback()

  Get the unrecognized `Callback`.

  Returns:
    the unrecognized `Callback`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.